#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export LC_ALL = C.UTF-8

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_BUILD_TYPE=Release \
		-DKEEPASSXC_BUILD_TYPE=Release \
		-DWITH_TESTS=ON \
		-DWITH_GUI_TESTS=OFF  \
		-DWITH_XC_ALL=ON \
		-DWITH_XC_KEESHARE_SECURE=ON

override_dh_auto_test:
	dh_auto_test -- \
	ARGS+="-E testgui\|testcli"
#	xvfb-run -a --server-args="-screen 0 800x600x24" dh_auto_test -- \
#	ARGS+="-R testgui"
